Subject: bug#23197: Duplicate entries in GNOME "Search" settings

From: [email-masked] (Ludovic Courtès)
Date: Thu, 20 Apr 2017 12:10:23 +0200

Hi,

Chris Marusich <[email-masked]> skribis:

> I'm using GuixSD v0.10.0 with GNOME.  In a fresh install using an
> un-modified desktop.scm from the installation image, in GNOME, under the
> "Search" settings, there are four entries.  The first two are both named
> "Files" and use an identical file cabinet icon.  The second two are both
> named "Web" and use an identical web browser icon.  All entries are set
> to "on".  I'm not sure why there are duplicate entries; at first blush,
> it looks like a misconfiguration.

Indeed, the problem is still present (using desktop.tmpl in current
master, v0.12.0-3107-g87e321017).  Screenshot attached.

My guess is that this is because ‘nautilus-search-provider.ini’ (for
“Files”) appears twice in ‘XDG_DATA_DIRS’.

Thoughts?

Thanks,
Ludo’.